Tryton - Issues

 

Issue2994

Title object.__new__() takes no parameters
Priority bug Status resolved
Superseder Nosy List ced, kostas
Type Components product_cost_fifo
Assigned To ced Keywords
Reviews

Created on 2013-02-09.13:11:58 by kostas, last changed by ced.

Messages
msg12551 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-20.10:36:11
Fixed with rev 45cc7793b87f
msg12513 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2013-02-15.14:52:25
Please test patch at review662006
msg12465 (view) Author: [hidden] (kostas) Date:
Traceback (most recent call last):
  File "/trytond/protocols/jsonrpc.py", line 123, in _marshaled_dispatch
    response['result'] = dispatch_method(method, params)
  File "/trytond/protocols/jsonrpc.py", line 156, in _dispatch
    res = dispatch(*args)
  File "/trytond/protocols/dispatcher.py", line 154, in dispatch
    result = rpc.result(meth(*args, **kwargs))
  File "/trytond/model/modelview.py", line 531, in wrapper
    return func(cls, *args, **kwargs)
  File "/trytond/model/workflow.py", line 33, in wrapper
    result = func(cls, filtered, *args, **kwargs)
  File "/trytond/modules/stock/shipment.py", line 1151, in done
    'state': 'done',
  File "/trytond/modules/purchase/purchase.py", line 1745, in write
    super(Move, cls).write(moves, vals)
  File "/trytond/modules/sale/sale.py", line 1625, in write
    super(Move, cls).write(moves, vals)
  File "/trytond/modules/account_stock_continental/stock.py", line 179, in write
    super(Move, cls).write(moves, vals)
  File "/trytond/modules/product_cost_fifo/move.py", line 162, in write
    effective_date)
  File "/trytond/modules/product_cost_fifo/move.py", line 49, in _update_fifo_out_product_cost_price
    fifo_moves = product.template.get_fifo_move(total_qty)
  File "/trytond/modules/product_cost_fifo/product.py", line 40, in get_fifo_move
    template = Template(self.id)
TypeError: object.__new__() takes no parameters
History
Date User Action Args
2013-02-22 15:58:05cedlinkissue3017 superseder
2013-02-20 10:36:12cedsetstatus: testing -> resolved
messages: + msg12551
2013-02-15 14:52:26cedsetstatus: unread -> testing
assignedto: ced
component: + product_cost_fifo
messages: + msg12513
nosy: + ced
2013-02-15 14:50:42cedlinkissue3008 superseder
2013-02-09 13:11:59kostascreate

Showing 10 items. Show all history (warning: this could be VERY long)